#include "StdInc.h"

Boolean AboutProc (EventPtr event)
{
    FormPtr fpForm;
    Int handled = 0;

    switch (event->eType) 
    {
        case frmOpenEvent:
        {
            fpForm = FrmGetActiveForm();
            FrmSetFocus(fpForm, FrmGetObjectIndex(fpForm, IDC_OK));
            FrmDrawForm(fpForm);
            handled = 1;
            break;
        }
        case ctlSelectEvent:
            switch (event->data.ctlEnter.controlID)
            {
                case IDC_OK:
                    FrmReturnToForm(0);
                    break;
            }
            handled = 1;
            break;
    }

    return handled;
}
