@echo off
echo.
echo	*Run the resource compiler*
echo.
pilrc Resource.rcp 
echo.
echo	*Compile the source files into object files*
@echo on
m68k-palmos-gcc -O2 -palmos2 -c About.c -o About.o 
m68k-palmos-gcc -O2 -palmos2 -c Custom.c -o Custom.o 
m68k-palmos-gcc -O2 -palmos2 -c Database.c -o Database.o 
m68k-palmos-gcc -O2 -palmos2 -c Misc.c -o Misc.o 
m68k-palmos-gcc -O2 -palmos2 -c Prefs.c -o Prefs.o 
m68k-palmos-gcc -O2 -palmos2 -c RollEm.c -o RollEm.o 
m68k-palmos-gcc -O2 -palmos2 -c RollFunc.c -o RollFunc.o 
m68k-palmos-gcc -O2 -palmos2 -c RollResults.c -o RollResults.o 
@echo off
echo.
echo	*Link the object files*
@echo on
m68k-palmos-gcc -O2 -palmos2 About.o Custom.o Database.o Misc.o Prefs.o RollEm.o RollFunc.o RollResults.o -o DataFork
@echo off
echo.
echo	*Link the resource file*
@echo on
m68k-palmos-obj-res DataFork
@echo off
echo.
echo	*Build the prc file*
@echo on
build-prc RollEm.prc "Roll Em" RlEm *.grc *.bin
@echo off
echo.
dir *.prc
call cleanup.bat
