#include "StdInc.h"
#include "RollEm.h"

void InitPrefs ();

Boolean PrefsProc (EventPtr event)
{
    FormPtr pForm;
    Int handled = 0;

	pForm = FrmGetActiveForm();
    switch (event->eType) 
    {
        case frmOpenEvent:
        {
            FrmSetFocus(pForm, FrmGetObjectIndex(pForm, IDC_OK));
            FrmDrawForm(pForm);
			InitPrefs();
            handled = 1;
            break;
        }
        case ctlSelectEvent:
		{
            switch (event->data.ctlEnter.controlID)
            {
                case IDC_OK:
					g_pPrefs->wSaveRolls = GetCheck(pForm, IDC_CHECK_SAVE_ROLLS);
                case IDC_CANCEL:
                    FrmReturnToForm(0);
                    break;
            }
            handled = 1;
            break;
		}
	}

    return handled;
}

void InitPrefs ()
{
	static Boolean bInit = false;
	FormPtr pForm;

	pForm = FrmGetActiveForm();

	// Do the one time initialization 
	//  of the Sound dialog here.
	if (!bInit)
	{
		bInit = true;
	}

	// Do the every time initialization 
	//  of the Sound dialog here.
	SetCheck(pForm, IDC_CHECK_SAVE_ROLLS, g_pPrefs->wSaveRolls);
}

