#ifndef __ROLLFUNC_H
#define __ROLLFUNC_H        1

#ifdef __cplusplus
extern "C" {
#endif

/***************************************************************\
 *                    Language functions                       *
\***************************************************************/

void RollFuncConstructor ();
void RollFuncDestructor ();

/***************************************************************\
 *                      List functions                         *
\***************************************************************/

void PushList ();
void PopList();

void CreateList1 (Int iSize);
void CreateList2 (Int iSize, Int iDie);
void CreateList3 (Int iSize, Int iNumber, Int iDie, Int iModifier);
void DestroyList ();

Int GetTotalSizeList ();
Int GetCurrentSizeList ();

Long GetElementList (Int iIndex);
void SetElementList (Int iIndex, Long lValue);

LongPtr GetList ();
void ReleaseList ();

Long SumList ();
Long MeanList ();
Long MedianList ();
Long ModeList ();

void SizeList (Int iSize);
void SortList ();
void ShuffleList ();
void ReverseList ();

/***************************************************************\
 *                     Field functions                         *
\***************************************************************/

#ifdef __cplusplus
}
#endif

#endif
